# System activation
## summary
System activation is a process of verifying the software with the manufacturer after installing the software on a specific computer. The purpose of activation is to ensure that users can use genuine products and obtain legal permission.

![Figure 1 System Activation main Interface](image/1.png)

### Error code description
- #001
Prompt information：No LICENSE file or LICENSE file failed signature verification.
Cause：No LICENSE file or LICENSE file cannot pass signature verification.
Solution：Ensure that the format of the imported authorization file is correct. It is recommended to import the authorization file again

- #004
Prompt information：There is no valid kylin information file.
Cause：.kyinfo content or format error.
Solution：Ensure that the format of the imported authorization file is correct. It is recommended to import the authorization file again.

- #009
Prompt information：Invalid activation code.
Cause：The obtained activation code cannot activate this machine.
Solution：Ensure that the imported authorization file is correct, and then perform the activation operation again.

- #012
Prompt information：The expiration time of the activation code is earlier than the expiration time of the existing activation code of the system.
Cause：The device is already activated and the currently acquired activation code expires earlier than the local expiration time.
Solution：If you are doing an activation extension, make sure that the service validity period on the activation platform has been correctly extended.

- #014
Prompt information：No valid public key.
Cause：It may be caused by system time error.
Solution：Please connect the network synchronization time or manual synchronization time.

- #017
Prompt information：In different situations, it has different meanings. For example, when obtaining the registration code, it is "unable to generate the registration code"; When activated, it is "Unable to activate"; When querying the activation status, it is "unable to get the activation status".
Cause：1. Hardware information cannot be obtained; 2. After activation, the hardware was changed. 3. /etc/.kyhwid file is empty.
Solution：Delete the /etc/.kyhwid file when it is empty and then reactivate it. If the hardware is not available, please contact the administrator to solve the problem.

- #019
Prompt information：Version type mismatch.
Cause：Failed to determine OS type,"OS Type:Desktop/Server" in /proc/osinfo specifies whether it is a desktop version or a server version,Need to match the license and class fields.The "OS Type" in the virtual machine includes both Desktop and Server.
Solution：CaEnsure that the imported authorization file is correct, and then perform the activation operation again.

- #020
Prompt information：UKEY was not found.
Cause：In order to find the UKey device when performing UKey activation operation or querying UKey data.
Solution：Ensure that the Ukey is correctly inserted into the device and is not intercepted, and ensure that the UKey driver is installed normally. You can see the corresponding UKey list by executing lsusb.

- #025
Prompt information：UKEY does not contain the service serial number.
Cause：This is an uninitialized or recycled UKey device.
Solution：Please replace other initialized UKey for system activation.

- #030
Prompt information：The number of UKEY activations has reached the upper limit.
Cause：The number of UKEY activations has reached the upper limit.
Solution：Please replace other UKey with remaining activation points for system activation.

- #038
Prompt information：The service serial number of LICENSE does not match the service serial number contained in UKEY.
Cause：When the service serial number is included in the LICENSE, it must be ensured that the service serial number in UKey is the same as that included in the LICENSE.
Solution：Please replace other UKey that matches the service serial number contained in the LICENSE for system activation.

- #048
Prompt information：The file has been modified.
Cause：/var/lib/dpkg/info/libkylin-activation.md5sums saves the MD5 values of all files installed in the libkylin-activation package, which is used to compare whether the files have been modified; Only "/usr/bin/kylin _ activation _ check" has been detected at present.
Solution：Ensure that the files installed by libkylin-activation have not been modified, and try to restart the service.

- #077
Prompt information：Product type mismatch.
Cause：The penultimate and three digits in LICENSE are different from those in. kyinfo.
Solution：CaEnsure that the imported authorization file is correct, and then perform the activation operation again.

- #078
Prompt information：System platform information does not match.
Cause：The device architecture does not conform to the authorization file support architecture.
Solution：CaEnsure that the imported authorization file is correct, and then perform the activation operation again.

- #081
Prompt information：System version information does not match.
Cause：System version system matching error, usually caused by the cross authorization of V10 and SP1.
Solution：CaEnsure that the imported authorization file is correct, and then perform the activation operation again.