# 系统激活
## 概 述
系统激活是在特定计算机上安装软件后与制造商验证该软件的过程，激活目的是为确保用户使用正版产品并获得合法许可。

![图 1 系统激活主界面](image/1.png)

### 错误码说明
- #001
提示信息：无LICENSE文件或LICENSE文件无法通过签名验证。
产生原因：无LICENSE文件或LICENSE文件无法通过签名验证。
解决方法：确保导入的授权文件格式正确，建议将授权文件重新导入一遍。

- #004
提示信息：无有效的麒麟信息文件。
产生原因：.kyinfo内容或格式错误。
解决方法：确保导入的授权文件格式正确，建议将授权文件重新导入一遍。

- #009
提示信息：无效的激活码。
产生原因：获取到的激活码无法激活本机器。
解决方法：确保导入的授权文件正确，再重新执行激活操作。

- #012
提示信息：激活码包含的到期时间早于系统已有激活码到期时间。
产生原因：设备已是激活状态且当前获取的激活码到期时间比本地的到期时间早。
解决方法：若是在进行激活延期操作时，请确保激活平台上的服务有效期已正确延长。

- #014
提示信息：无有效的公钥。
产生原因：可能是系统时间错误导致。
解决方法：请连接网络同步时间或手动同步时间。

- #017
提示信息：在不同的情况下，有不同的含义。例如在获取注册码时，为“无法生成注册码”；在激活时，为“无法进行激活”；在查询激活状态时，为“无法获取激活状态”。
产生原因：1. 硬件信息无法获取; 2. 在激活后，硬件被更改; 3. /etc/.kyhwid文件为空。
解决方法：/etc/.kyhwid文件为空时删除该文件后重新激活； 若硬件无法获取，请联系管理员解决该问题。

- #019
提示信息：版本类型不匹配。
产生原因：判断OS类型失败,/proc/osinfo中"OS Type:Desktop / Server"指定了是桌面还是服务器版,需要与LICENSE,CLASS字段匹配。虚拟机中"OS Type"同时包含Desktop与Server。
解决方法：确保导入的授权文件正确，再重新执行激活操作。

- #020
提示信息：未查询到UKEY。
产生原因：在执行UKey激活操作或查询UKey数据时为找到UKey设备。
解决方法：确保Ukey正确插入设备并未被拦截，并确保UKey驱动正常安装，执行lsusb可以看见对应UKey列出。

- #025
提示信息：UKEY未包含服务序列号。
产生原因：这个一个未初始化或已回收的UKey设备。
解决方法：请更换其他已初始化的UKey进行系统激活。

- #030
提示信息：UKEY可激活数已经达到上限。
产生原因：UKEY可激活数已经达到上限。
解决方法：请更换其他有剩余激活点数的UKey进行系统激活。

- #038
提示信息：LICENSE的服务序列号与UKEY所含服务序列号不符。
产生原因：当LICENSE中包含的是服务序列号时，必须确保UKey中的服务序列号与LICENSE中包含的服务序列号相同。
解决方法：请更换其他与LICENSE中包含的服务序列号匹配的UKey进行系统激活。

- #048
提示信息：文件被修改。
产生原因：/var/lib/dpkg/info/libkylin-activation.md5sums中保存了libkylin-activation包安装所有文件的MD5值，用于比较文件是否被修改；当前只检测了"/usr/bin/kylin_activation_check"。
解决方法：确保libkylin-activation安装的文件没有被修改过,并尝试重启服务。

- #077
提示信息：产品类型不匹配。
产生原因：LICENSE中倒数二、三位数字与.kyinfo中倒数二、三位数字不同。
解决方法：确保导入的授权文件正确，再重新执行激活操作。

- #078
提示信息：系统平台信息不匹配。
产生原因：该设备架构与授权文件支持架构不符合。
解决方法：确保导入的授权文件正确，再重新执行激活操作。

- #081
提示信息：系统版本信息不匹配。
产生原因：系统版本系统匹配错误，通常为V10和SP1授权交叉导致。
解决方法：确保导入的授权文件正确，再重新执行激活操作。